Name: libgc
Summary: Conservative Garbage Collection for C/C++
%define major 4
%define minor 14
%define release 1
%define version %{major}.%{minor}
Version: %{version}
Release: %{release}
Copyright: Freely Redistributable
Group: Libraries
Source: http://reality.sgi.com/boehm_mti/gc_source/gc4.14.tar.gz
Patch: libgc.patch
BuildRoot: /tmp/libgc
URL: http://reality.sgi.com/boehm_mti/gc.html
Packager: Bruce Guenter <bruce.guenter@qcc.sk.ca>

%description
This is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%changelog

* Thu Mar 12 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

- Added cords to the resulting packages.
- Move the headers into /usr/include/gc

* Sat Mar 4 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

- Changed soname on shared library to libgc.so.${major}

* Fri Mar 3 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

- Initial release, using version 4.13alpha1 of the package.

%package devel
Summary: Header files and static library for libgc
Group: Development/Libraries

%description devel
Header files and static library for libgc

%prep
%setup -n gc
%patch -p1

%build
flags="$RPM_OPT_FLAGS -fPIC -DSILENT -DNO_SIGNALS -DOPERATOR_NEW_ARRAY -DLINUX_THREADS -D_REENTRANT"
make CFLAGS="$flags" CC="gcc -pipe" CXX="g++ -pipe" SOVERSION=%{major} \
	LIBVERSION=%{version}.%{release} all c++ cords libgc.so
cord/cordtest
./gctest

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,man/man1,include/gc/private}

install -m 644 libgc.so.%{version}.%{release} $RPM_BUILD_ROOT/usr/lib
install -m 644 gc.man $RPM_BUILD_ROOT/usr/man/man1/gc.1
install -m 644 gc.a $RPM_BUILD_ROOT/usr/lib/libgc.a
install -m 644 include/*.h $RPM_BUILD_ROOT/usr/include/gc
install -m 644 include/private/*.h $RPM_BUILD_ROOT/usr/include/gc/private
ln -s libgc.so.%{version}.%{release} $RPM_BUILD_ROOT/usr/lib/libgc.so.%{major}
ln -s libgc.so.%{version}.%{release} $RPM_BUILD_ROOT/usr/lib/libgc.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/lib/libgc.so.%{version}.%{release}
%attr(-,root,root) /usr/lib/libgc.so.%{major}

%files devel
%attr(-,root,root) %doc README* barrett_diagram
%attr(-,root,root) /usr/include/gc
%attr(-,root,root) /usr/lib/libgc.a
%attr(-,root,root) /usr/lib/libgc.so
%attr(-,root,root) /usr/man/man1/gc.1
